﻿using System.Windows;
using System.Windows.Controls;
using Infragistics.Windows.DockManager;

namespace XamDockManagerTestProject
{
    public partial class Page1
    {
        private readonly MainWindow _mainWindow; 
        public Page1(MainWindow main)
        {
            InitializeComponent();
            _mainWindow = main;
        }

        private void BtnClick(object sender, RoutedEventArgs e)
        {
            var frame = new Frame();
            frame.Navigate(new Page2());
            
            var subPane = new ContentPane
            {
                Header = "Sub pane",
                Content = frame
            };

            _mainWindow.ContentPanes.Add(subPane);
        }
    }
}
