﻿using System.Collections.ObjectModel;
using System.Windows;
using System.Windows.Controls;
using Infragistics.Windows.DockManager;

namespace XamDockManagerTestProject
{
    public partial class MainWindow
    {
        public readonly ObservableCollection<ContentPane> ContentPanes = new ObservableCollection<ContentPane>(); 
        
        public MainWindow()
        {
            InitializeComponent();
            DataBind();
        }

        private void DataBind()
        {
            var frame = new Frame();
            frame.Navigate(new Page1(this));
            var mainPane = new ContentPane
            {
                CloseButtonVisibility = Visibility.Hidden,
                WindowPositionMenuVisibility = Visibility.Hidden,
                Header = "Main pane",
                Content = frame
            };

            ContentPanes.Add(mainPane);

            TbGrpPnContentPanes.ItemsSource = ContentPanes;
        }
    }
}
